<template>
    <table class="table-auto w-full border-collapse border border-gray-200">
        <thead>
            <tr>
                <th
                    class="border border-gray-200 p-3"
                    v-for="(name, index) in tableHead"
                    :key="index"
                >
                    {{ name }}
                </th>
            </tr>
        </thead>
        <tbody>
            <tr
                class="hover:bg-gray-50 cursor-pointer"
                v-for="(prescription, index) in tableBody"
                :key="index"
            >
                <td class="border border-gray-200 p-3 text-center">
                    {{ prescription.name }}
                </td>
                <td class="border border-gray-200 p-3 text-center">
                    {{ prescription.quantity }}
                </td>
                <td class="border border-gray-200 p-3 text-center">
                    {{ prescription.expiration_date }}
                </td>
            </tr>
        </tbody>
    </table>
</template>

<script>
import { defineComponent } from "vue";

export default defineComponent({
    name: "Table",
    props: {
        tableBody: Object,
        tableHead: Object,
    },
});
</script>

<style scoped></style>
